Bug 1010659 - RBAC: Failed to create security context for jmx
RBAC: Failed to create security context for jmx
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Web Console (Show other bugs)
6.2.0
Unspecified Unspecified
urgent Severity urgent
: ER3
: EAP 6.2.0
Assigned To: Heiko Braun
Jakub Cechacek
Russell Dickenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-22 06:25 EDT by Jakub Cechacek
Modified: 2015-02-01 18:00 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-15 11:22:06 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jakub Cechacek 2013-09-22 06:25:14 EDT
When accessing Profiles - Core - JMX  the following error is thrown

Failed to create security context for jmx, fallback to temporary read-only context

Unexpected HTTP response: 500

Request
{
    "operation" => "composite",
    "address" => [],
    "steps" => [{
        "address" => [
            ("profile" => "full"),
            ("subsystem" => "jmx")
        ],
        "operation" => "read-resource-description",
        "recursive-depth" => 2,
        "access-control" => "trim-descriptions",
        "operations" => true
    }]
}

Response

Internal Server Error
{
    "outcome" => "failed",
    "result" => {"step-1" => {
        "outcome" => "failed",
        "failure-description" => "JBAS014749: Operation handler failed: null",
        "rolled-back" => true
    }},
    "failure-description" => {"domain-failure-description" => {"JBAS014653: Composite operation failed and was rolled back. Steps that failed:" => {"Operation step-1" => "JBAS014749: Operation handler failed: null"}}},
    "rolled-back" => true
}


I have also checked this against WF master - JMX is inaccessible in WF and "Access Denied" popup is shown to everyone except superuser
Comment 3 Jakub Cechacek 2013-10-01 04:42:12 EDT
Verified 6.2.0.ER3

Note You need to log in before you can comment on or make changes to this bug.